Nanohub and wrapper

Message boards : Number crunching : Nanohub and wrapper
Message board moderation

To post messages, you must log in.

AuthorMessage
[VENETO] boboviz

Send message
Joined: 7 Apr 17
Posts: 54
Credit: 26,471
RAC: 0
Message 584 - Posted: 31 Jul 2020, 21:31:27 UTC

David Anderson writes a mail about wrapper (and NanoHub):
If your project uses VM apps, read on.

VirtualBox changed their COM interface between versions 5 and 6.
If you use version 26200 or earlier of vboxwrapper,
your app won't work on hosts with VBox 6.x installed.
Users will get lots of cryptic messages saying "virtual machine is unmanageable".
I noticed this with nanoHUB@home; it may affect other projects too.

On Windows, you can fix this be using version 26202 of vboxwrapper:
https://boinc.berkeley.edu/trac/wiki/VboxApps#Premadevboxwrapperexecutables
We don't currently have Mac or Linux versions of 26202, however.

Or you can use a version of vboxwrapper that uses the command-line (VBoxManage) interface rather than COM.
We don't currently provide these on the BOINC site; we probably should.
ID: 584 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Zachary Forbes Dearing
Avatar

Send message
Joined: 21 Oct 19
Posts: 1
Credit: 25,634
RAC: 23
Message 597 - Posted: 11 Aug 2020, 13:54:35 UTC - in response to Message 584.  

It looks like this is the root cause of my errors with NanoHub recently. As such, and since most of the other projects I'm involved with require an updated v6+ VBox, sadly I'll have to go "no new tasks" with this project until this new wrapper is adopted. Thanks for the heads up!
ID: 597 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Jim1348

Send message
Joined: 11 Jan 17
Posts: 98
Credit: 224,673
RAC: 9
Message 598 - Posted: 11 Aug 2020, 21:49:26 UTC - in response to Message 597.  

As such, and since most of the other projects I'm involved with require an updated v6+ VBox, sadly I'll have to go "no new tasks" with this project until this new wrapper is adopted.

I use VirtualBox 5.2.42 on several Ubuntu 18.04.4 machines on Cosmology and LHC, as well as nanoHUB. It usually causes fewer problems than 6.x from the reports I have seen. It seems that the extra delay in VBox 6.x causes "file not found" and similar errors.

I have used 5.2.x on Win7 64-bit without problems also. I don't recall a project where it did not work, but you must know of something.
ID: 598 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
mikey
Avatar

Send message
Joined: 18 Nov 18
Posts: 11
Credit: 31,781
RAC: 0
Message 610 - Posted: 24 Aug 2020, 11:19:31 UTC - in response to Message 598.  
Last modified: 24 Aug 2020, 11:19:59 UTC

As such, and since most of the other projects I'm involved with require an updated v6+ VBox, sadly I'll have to go "no new tasks" with this project until this new wrapper is adopted.

I use VirtualBox 5.2.42 on several Ubuntu 18.04.4 machines on Cosmology and LHC, as well as nanoHUB. It usually causes fewer problems than 6.x from the reports I have seen. It seems that the extra delay in VBox 6.x causes "file not found" and similar errors.

I have used 5.2.x on Win7 64-bit without problems also. I don't recall a project where it did not work, but you must know of something.


VBox changed the naming convention of their files in the 6 series and that's the problem, the older apps need to be redone to allow for them to use the newer versions of Vbox. Cosmology and LHC have done that but NanoHub has not so has problems.
ID: 610 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote

Message boards : Number crunching : Nanohub and wrapper


©2021 COPYRIGHT 2017-2018 NCN